Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 177960 - [PATCH] don't emit Provides: perl(main)
Summary: [PATCH] don't emit Provides: perl(main)
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Paul Nasrat
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2006-01-16 20:18 UTC by Ville Skyttä
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-01-18 16:34:19 UTC


Attachments (Terms of Use)
Don't emit perl(main) Provides (patch against rpm-4_4 branch in CVS) (deleted)
2006-01-16 20:18 UTC, Ville Skyttä
no flags Details | Diff

Description Ville Skyttä 2006-01-16 20:18:37 UTC
rpm-build's autodeps stuff for perl may and does pretty often emit "Provides:
perl(main)", which serves no purpose.

The "main" package is always implicitly present in perl, and no packages can do
"use main" or "require main" in perl code, so no such Requires should be present
anywhere and filtering the provides should be safe.

Comment 1 Ville Skyttä 2006-01-16 20:18:37 UTC
Created attachment 123258 [details]
Don't emit perl(main) Provides (patch against rpm-4_4 branch in CVS)

Comment 2 Paul Nasrat 2006-01-18 16:34:19 UTC
Fixed in rawhide and upstream rpm-4.4.x branch. Thanks for the patch.


Note You need to log in before you can comment on or make changes to this bug.